//	Title: FRA.java
//	Description: g͊
//	Version: 1.0
//	Date: 2004-4-16
//	Copyright 2004 by Ayumi Nakabayashi. All rights reserved.

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.IOException;
import java.text.MessageFormat;
import java.util.ResourceBundle;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;

/**
 *	g͊
 *	@author Ayumi Nakabayashi
 *	@version 1.0 2004/4/16
 */
public class FRA extends ElecMeasureFrame {
	/** FRAhCo */
	static FRADriver aa;

	/**
	 *	AvP[ṼCX^X쐬.
	 */
	public FRA() {
		super(gets("title.FRA"));
	}

	/**
	 *
	 */
	public void initialize() {
		aa = new FRADriver();
		paramPanel = FRAPanel.getInstance(this);
		super.initialize();
	}

	protected JMenuBar createMenuBar() {
		JMenuBar mb = super.createMenuBar();

		// IvVj[
		optionMenu = new JMenu(gets("menu.Option"));
		JMenuItem setupItem = new JMenuItem(MessageFormat.format(gets("menuItem.Setup"), new Object[] { aa.getName() }));
		setupItem.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				aa.showSetupDialog(frame);
			}
		});
		optionMenu.add(setupItem);
		optionMenu.addSeparator();
		addUIselector(optionMenu, mb);
		mb.add(optionMenu);
		return mb;
	}

	/**
	 *	AvP[VI.
	 */
	public void quit() {
		try {
			writeProperties();
		} catch (IOException e) {
			showMessage(e.getMessage());
		}
		if (aa != null)
			aa.close();
		System.exit(0);
	}

	/**
	 *	AvP[VN.
	 */
	public static void main(String[] args) {
		r = ResourceBundle.getBundle("FRAResources");
		title = "FRA";
		readProperties();
		frame = new FRA();
		frame.initialize();
	}
}
