//	Title: FRAMeasureThread.java
//	Description: gXbh
//	Version: 1.1
//	Date: 2005-6-19
//	Copyright 2004, 2005 by Ayumi Nakabayashi. All rights reserved.

/**
 *	gXbh
 *	@author Ayumi Nakabayashi
 *	@version 1.1 2005-6-19<br>
 *	1.0 2004-4-16
 */
public class FRAMeasureThread implements Runnable {
	/** LZ{^ꂽ? */
	volatile boolean canceled;
	/** Ot\pl */
	FRAPanel fp;
	/** g */
	double[] freq;

	/**
	 *	gXbh쐬.
	 *	@param fp Ot\pl.
	 *	@param freq g[Hz]
	 */
	public FRAMeasureThread(FRAPanel fp, double[] freq) {
		super();
		this.fp = fp;
		this.freq = freq;
	}

	/**
	 *	蒆~ꂽ.
	 */
	public void cancel() {
		canceled = true;
		FRA.showMessage(FRA.gets("info.Canceled"));
	}

	/**
	 *	s.
	 */
	public void run() {
		double[] vn = new double[3];
		double[] vo = new double[3];
		canceled = false;
		FRADriver aa = FRA.aa;
		aa.setFrequency(freq[0]);
		FRA.sleep(1000);	// ͎g}ɕς̂Œ߂ɑ҂
		for (int i = 0; i < freq.length; i++) {
			if (canceled)
				break;
			FRA.showMessage("Freq=" + freq[i]);
			aa.setFrequency(freq[i]);	// gݒ肷
			aa.getLevels(vo);
			for (int j = 0; j < 3; j++)
				fp.setNewMeasure(i, j, vo[j]);
			fp.notifyNewMeasure(i, 0);	// VlOtɕ`
		}
		aa.setFrequency(1e3);
		fp.notifyMeasureDone();			// Iʒm
	}
}
